# FTP list

An action block that lists the content on an FTP server.

The fiber will pause until the listing has completed.

The final directory level of remote path may contain glob patterns.

## Input arguments

- Host or IP address — hostname or IP address of FTP server.
- Port — remote port, default is 21 or 990 for FTPS.
- Log in account — name of generic credentials account used for log in, default is anonymous.
- Control encoding — charset used when sending commands, default is UTF-8.
- Connection security — whether to use a secure TLS/SSL connection (FTPS).
- Certificate — whether to trust insecure, self-signed, certificates, ignored unless FTPS.
- Data channel protection — data channel protection level (PROT), ignored unless FTPS, default is Clear.
- Remote path — remote path to list, path is normalized.
- Modified since — only include content modified after this time.
- Content type — types of content to include, default is all content.

## Output variables

- Filenames — variable to assign the an array of paths to mathing files in the Remote path directory.